#
# spec file for package sqlite3
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sqlite3
Version:        3.7.17
Release:        0
%define tarversion 3071700
Summary:        Embeddable SQL Database Engine
License:        SUSE-Public-Domain
Group:          Productivity/Databases/Servers
Url:            http://www.sqlite.org/
#
BuildRequires:  pkg-config
BuildRequires:  readline-devel
%if 0%{?suse_version:1}
BuildRequires:  update-desktop-files
%endif
#
Requires:       libsqlite3-0 = %version
Provides:       sqlite = %version
Obsoletes:      sqlite < %version
Source0:        http://www.sqlite.org/2013/sqlite-autoconf-%tarversion.tar.gz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# bug437293
%ifarch ppc64
Obsoletes:      sqlite-64bit
%endif
#
%description
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is a server and the SQLite library reads and writes
directly to and from the database files on disk.

SQLite can be used via the sqlite command line tool or via any
application that supports the Qt database plug-ins.

%package -n libsqlite3-0
Summary:        Shared libraries for the Embeddable SQL Database Engine
Group:          Development/Libraries/C and C++

%description -n libsqlite3-0
This package contains the shared libraries for the Embeddable SQL
Database Engine.

SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is a server and the SQLite library reads and writes
directly to and from the database files on disk.

SQLite can be used via the sqlite command line tool or via any
application that supports the Qt database plug-ins.

%package devel
Summary:        Embeddable SQL Database Engine
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libsqlite3-0 = %version
Provides:       sqlite-devel = %version
Obsoletes:      sqlite-devel < %version

%description devel
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server; SQLite is the server. The SQLite library reads and writes
directly to and from the database files on disk.

SQLite can be used via the sqlite command-line tool or via any
application which supports the Qt database plug-ins.

%prep
%setup -q -n sqlite-autoconf-%tarversion

%build
export CFLAGS="%optflags -DSQLITE_ENABLE_COLUMN_METADATA -DSQLITE_ENABLE_FTS4"
%configure --disable-static
make

%install
make install DESTDIR=%buildroot
rm %buildroot/%_libdir/*.la

%post -n libsqlite3-0 -p /sbin/ldconfig

%postun -n libsqlite3-0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/bin/sqlite3
%doc %_mandir/man1/*

%files -n libsqlite3-0
%defattr(-,root,root)
%_libdir/libsqlite*.so.*

%files devel
%defattr(-,root,root)
/usr/include/*.h
%_libdir/libsqlite*.so
%_libdir/pkgconfig/sqlite3.pc

%changelog
